summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDmitry Porunov2019-11-02 02:51:42 +0400
committerDmitry Porunov2019-11-02 02:51:42 +0400
commit63ce6f861c54711b0f39076b3fa79170e3ca20a1 (patch)
tree52c6921791a41e06c69b4ec4f54b5809b8a83351
downloadaur-63ce6f861c54711b0f39076b3fa79170e3ca20a1.tar.gz
Release 1.0-1
-rw-r--r--.SRCINFO15
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD27
3 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..9327f015e68
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = otf-san-francisco-compact
+ pkgdesc = This sans-serif typeface is the system font for watchOS, and includes a rounded variant. It suits a wide range of content and is easily legible in a variety of contexts.
+ pkgver = 1.0
+ pkgrel = 1
+ epoch = 1
+ url = https://developer.apple.com/fonts/
+ arch = any
+ license = custom
+ depends = fontconfig
+ depends = xorg-font-utils
+ source = SFCompact-1.0-1.zip::https://developer.apple.com/fonts/downloads/SFCompact.zip
+ sha256sums = 4792e19118de169af15bf0a8dbc9ee9e525aa6e17e1d12e9f5f94680a11d486d
+
+pkgname = otf-san-francisco-compact
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..e603d4b68f8
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+SFCompact-*
+otf-san-francisco-compact-*
+pkg/
+src/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e380f15beeb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Auteiy <dmitry@auteiy.me>
+pkgname=otf-san-francisco-compact
+pkgver=1.0
+pkgrel=1
+epoch=1
+pkgdesc='This sans-serif typeface is the system font for watchOS, and includes a rounded variant. It suits a wide range of content and is easily legible in a variety of contexts.'
+arch=('any')
+license=('custom')
+url='https://developer.apple.com/fonts/'
+depends=('fontconfig'
+ 'xorg-font-utils')
+source=(SFCompact-"$pkgver"-"$pkgrel".zip::"$url"downloads/SFCompact.zip)
+sha256sums=('4792e19118de169af15bf0a8dbc9ee9e525aa6e17e1d12e9f5f94680a11d486d')
+
+package() {
+ cd "$srcdir/SFCompact"
+
+ mkdir pkg
+ bsdtar xvPf 'San Francisco Compact.pkg' || true
+ bsdtar xvPf 'San Francisco Compact.pkg/Payload'
+
+ install -d $pkgdir/usr/share/fonts/OTF/
+ install -m644 Library/Fonts/*.otf $pkgdir/usr/share/fonts/OTF/
+
+ install -d $pkgdir/usr/share/licenses/$pkgname/
+ install -m644 'SF Compact Font License.rtf' $pkgdir/usr/share/licenses/$pkgname/LICENSE.rtf
+}